#!/bin/bash
cd "$(dirname "$(readlink -f "$0")")"

ssh_key_dir="../../identity_files/"
dhcp_dir="../../dhcp_files"

# build dhcp
./shared_scripts/build_dhcp.sh > /tmp/dhcp

# copy dhcp file to router
scp -i $ssh_key_dir/id_router -O /tmp/dhcp r.actcur.com:/etc/config/dhcp
# remove active leases for ip
ssh -i $ssh_key_dir/id_router r.actcur.com "sed -i '/$ip/d' /tmp/dhcp.leases"
# restart dnsmasq
ssh -i $ssh_key_dir/id_router r.actcur.com 'service dnsmasq restart'
